Need help unlocking 3G :(

Discussion in 'Jailbreaks and iOS Hacks' started by WillEH, Oct 20, 2011.

  1. WillEH macrumors 6502a

    WillEH

    Joined:
    Feb 8, 2011
    Location:
    United Kingdom
    #1
    Never Jailbroken a iphone before and I'm struggling. I have an old iPhone 3G 16GB. It's software version is 4.2.1 and it's baseband is 05.15.04

    Now I have PwnageTool downloaded and it keeps asking me to find the ISPW for the iPhone. I've downloaded a bunch but it seems it's not the correct baseband. I also want to unlock the phone from o2 and use it on t-mobile.

    Could someone assist me. It's becoming a pain and I've tried for a few hours. But the internet keeps telling me different things, don't update, do this, do that, etc.

    I just need it simplified.

    Thanks.
     
  2. Crystal-RX macrumors 68030

    Crystal-RX

    Joined:
    Dec 22, 2008
    Location:
    Seattle, WA USA
    #2
    www.iclarified.com is where you need to go, read, read and read and get the tutorial on how to do this. Their tutorial will give you step by step with link for you to get tools as well as firmware on this.
     
  3. WillEH thread starter macrumors 6502a

    WillEH

    Joined:
    Feb 8, 2011
    Location:
    United Kingdom
    #3
    I jailbroke it, now having trouble unlocking it.
     
  4. Crystal-RX macrumors 68030

    Crystal-RX

    Joined:
    Dec 22, 2008
    Location:
    Seattle, WA USA
    #4
    The baseband on your phone can't be unlocked with Ultrasn0w. So, in order to unlock it, you will have to put ipad baseband on it. Unless your 3G has the 05.08 bootloader.
     
  5. WillEH thread starter macrumors 6502a

    WillEH

    Joined:
    Feb 8, 2011
    Location:
    United Kingdom
    #5
    No it doesn't have that bootloader. I'm trying to get the iPad baseband on it right now.
     
  6. Crystal-RX macrumors 68030

    Crystal-RX

    Joined:
    Dec 22, 2008
    Location:
    Seattle, WA USA
    #6
    Install fuzzy band from Cydia, run it to see if your phone has boot loader 05.08. If it does, then Fuzzyband will help you to down grade the phone baseband to 05.13 so it can be unlocked with Ultrasnow.

    Do this first before you install iPad baseband because once you put on iPad baseband, there is no way to go back.
     
  7. WillEH, Oct 21, 2011
    Last edited: Oct 21, 2011

    WillEH thread starter macrumors 6502a

    WillEH

    Joined:
    Feb 8, 2011
    Location:
    United Kingdom
    #7
    It doesn't work. Says I have older bootloader. I'm trying to do it through Ultrasn0w right now.

    Right I'm on Redsn0w trying to update the baseband to the 06.15.00, I have the iPhone2,1_4.2.1_8C148a_Restore and I'm pointing it. My phone is a 3G and according to all the links that IPSW if for the 3Gs. But it's the only one I can find to update to that iPad baseband thingy. Is this correct?
     
  8. WillEH thread starter macrumors 6502a

    WillEH

    Joined:
    Feb 8, 2011
    Location:
    United Kingdom
    #8
    Just to note I did it, and it all worked now. Bloody pain but fianlly did it.
     

Share This Page